<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="C:\Aurora_Oct20\RSM\eclipse\workspace-cascadeplus\org.eclipse.wst.rdb.models.sql\src\model\SQLModel.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="KeyWords" content="Ecore Relations, Attributes, and Operations,Class Diagram Ecore Relations, Attributes, and Operations,SQLModel,model SQLModel,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;Diagram:&nbsp;ecore&nbsp;/&nbsp;Ecore&nbsp;Relations,&nbsp;Attributes,&nbsp;and&nbsp;Operations</b></font></p>
<MAP NAME="mymap">
<AREA Shape="Polygon" coords = "676,706,676,781,970,781,970,706" HREF="class39a473e901d4.htm">
<AREA Shape="Polygon" coords = "813,537,813,613,972,613,972,537" HREF="class3accdce601c2.htm">
<AREA Shape="Polygon" coords = "917,613,917,705,910,705,910,613" HREF="../../looseends/ass3accdd3b0265.htm">
<AREA Shape="Polygon" coords = "249,119,249,178,365,178,365,119" HREF="class3b65ccc600fe.htm">
<AREA Shape="Polygon" coords = "213,9,213,69,500,69,500,9" HREF="class3903d4e40050.htm">
<AREA Shape="Polygon" coords = "9,111,9,186,228,186,228,111" HREF="class3d98a1c701ab.htm">
<AREA Shape="Polygon" coords = "85,110,85,98,92,98,92,110" HREF="inh3d98a1e10203.htm">
<AREA Shape="Polygon" coords = "44,110,44,31,0,0,213,31,213,38,0,0,51,38,51,110" HREF="../../looseends/ass3d98a3f1034c.htm">
<AREA Shape="Polygon" coords = "947,536,947,216,954,216,954,536" HREF="inh3d05d58c01dc.htm">
<AREA Shape="Polygon" coords = "293,118,293,98,300,98,300,118" HREF="inh3c8d4364024f.htm">
<AREA Shape="Polygon" coords = "386,112,386,204,863,204,863,112" HREF="class3a773e540057.htm">
<AREA Shape="Polygon" coords = "548,112,548,98,555,98,555,112" HREF="inh3cf674e80143.htm">
<AREA Shape="Polygon" coords = "18,237,18,377,179,377,179,237" HREF="class3903d4f60398.htm">
<AREA Shape="Polygon" coords = "91,237,91,216,98,216,98,237" HREF="inh3d05d88501c2.htm">
<AREA Shape="Polygon" coords = "622,241,622,333,885,333,885,241" HREF="class3905c3f7000a.htm">
<AREA Shape="Polygon" coords = "863,126,883,126,0,0,883,241,876,241,0,0,876,133,863,133" HREF="../../looseends/ass3a773f5a0067.htm">
<AREA Shape="Polygon" coords = "749,333,749,355,868,355,868,333,876,333,876,363,741,363,741,333" HREF="../../looseends/ass3c06c4ec029a.htm">
<AREA Shape="Polygon" coords = "737,241,737,216,744,216,744,241" HREF="inh3d05f0c70226.htm">
<AREA Shape="Polygon" coords = "732,446,732,505,914,505,914,446" HREF="class3903d525033e.htm">
<AREA Shape="Polygon" coords = "789,705,789,505,796,505,796,705" HREF="inh3b180608030c.htm">
<AREA Shape="Polygon" coords = "195,416,195,456,280,456,280,416" HREF="class3903e6150104.htm">
<AREA Shape="Polygon" coords = "234,416,234,406,241,406,241,416" HREF="inh3903e62102da.htm">
<AREA Shape="Polygon" coords = "272,237,272,357,541,357,541,237" HREF="class3ace4fee0371.htm">
<AREA Shape="Polygon" coords = "272,302,179,302,179,295,271,295" HREF="../../looseends/ass3903da26001e.htm">
<AREA Shape="Polygon" coords = "475,357,475,384,637,384,637,333,645,333,645,392,467,392,468,357" HREF="../../looseends/ass3a7dab6b039e.htm">
<AREA Shape="Polygon" coords = "785,446,785,409,793,409,793,446" HREF="inh3ace510f029a.htm">
<AREA Shape="Polygon" coords = "404,237,404,216,411,216,411,237" HREF="inh3c97bbb400ca.htm">
<AREA Shape="Polygon" coords = "276,648,276,740,477,740,477,648" HREF="class39238479039d.htm">
<AREA Shape="Polygon" coords = "294,740,294,760,395,760,395,740,403,740,403,768,286,768,286,740" HREF="../../looseends/ass3990c9d502fd.htm">
<AREA Shape="Polygon" coords = "279,779,279,847,415,847,415,779" HREF="class39238472039d.htm">
<AREA Shape="Polygon" coords = "415,839,650,839,650,677,768,677,768,505,776,505,776,684,657,684,657,847,415,847" HREF="../../looseends/ass3d5d260f02e4.htm">
<AREA Shape="Polygon" coords = "29,416,29,456,109,456,109,416" HREF="class3904daa200a0.htm">
<AREA Shape="Polygon" coords = "240,456,240,480,95,480,96,456,103,456,103,472,233,472,233,456" HREF="../../looseends/ass3b4dfcab02b6.htm">
<AREA Shape="Polygon" coords = "64,416,64,406,71,406,71,416" HREF="inh3d062fa00253.htm">
<AREA Shape="Polygon" coords = "302,357,302,508,83,508,84,456,91,456,91,501,294,501,294,357" HREF="../../looseends/ass3d05d40a02bd.htm">
<AREA Shape="Polygon" coords = "317,444,317,567,714,567,714,444" HREF="class3903d5bf000a.htm">
<AREA Shape="Polygon" coords = "658,567,658,609,741,609,741,561,714,561,714,553,748,553,748,617,650,617,650,567" HREF="../../looseends/ass3905c4b201d6.htm">
<AREA Shape="Polygon" coords = "650,567,650,639,755,639,755,528,714,528,714,520,762,520,762,646,642,646,643,567" HREF="../../looseends/ass3d0618c2027d.htm">
<AREA Shape="Polygon" coords = "477,691,560,691,0,0,560,567,568,567,0,0,568,699,477,699" HREF="../../looseends/ass39d6bd89002c.htm">
<AREA Shape="Polygon" coords = "477,734,585,734,0,0,585,567,593,567,0,0,593,741,477,741" HREF="../../looseends/ass39d7678b0314.htm">
<AREA Shape="Polygon" coords = "477,660,540,660,0,0,540,567,547,567,0,0,547,668,477,668" HREF="../../looseends/ass3af07cb603d8.htm">
<AREA Shape="Polygon" coords = "399,648,399,567,406,567,406,648" HREF="../../looseends/ass3d5d2a5b00cb.htm">
<AREA Shape="Polygon" coords = "415,778,599,778,0,0,599,567,606,567,0,0,606,786,415,786" HREF="../../looseends/ass39d6bd4a03b1.htm">
<AREA Shape="Polygon" coords = "415,800,616,800,0,0,616,567,623,567,0,0,623,807,415,807" HREF="../../looseends/ass39de157303c6.htm">
<AREA Shape="Polygon" coords = "415,820,630,820,0,0,630,567,637,567,0,0,637,828,415,828" HREF="../../looseends/ass3ddf794f03d4.htm">
<AREA Shape="Polygon" coords = "74,456,74,534,0,0,316,534,317,541,0,0,66,541,67,456" HREF="../../looseends/ass3904d80902da.htm">
<AREA Shape="Polygon" coords = "43,456,43,561,0,0,316,561,317,569,0,0,35,569,35,456" HREF="../../looseends/ass3af87e2b011c.htm">
<AREA Shape="Polygon" coords = "352,443,352,409,360,409,360,443" HREF="inh3d0724e40083.htm">
<AREA Shape="Polygon" coords = "7,617,7,805,227,805,227,617" HREF="class3903d59d0230.htm">
<AREA Shape="Polygon" coords = "8,617,8,406,15,406,15,617" HREF="inh3903d98202a8.htm">
<AREA Shape="Polygon" coords = "279,815,252,815,253,759,227,759,227,751,260,751,260,808,279,808" HREF="inh392384980008.htm">
<AREA Shape="Polygon" coords = "276,693,260,693,260,759,227,759,227,751,253,751,253,686,275,686" HREF="inh3923849d00ce.htm">
<AREA Shape="Polygon" coords = "186,617,186,581,332,581,332,567,340,567,340,588,193,588,193,617" HREF="../../looseends/ass3cd7ca8b00a7.htm">
<AREA Shape="Polygon" coords = "227,619,0,0,365,619,365,567,372,567,372,627,0,0,227,627" HREF="../../looseends/ass3f72ef6a0063.htm">
</MAP>
<IMG SRC="dgm3d08690e03aa.png" USEMAP="#mymap" BORDER=0>
</body>
</html>
